com.sun.jna.platform.win32

## Class WinNT.SYSTEM_POWER_CAPABILITIES

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.SYSTEM_POWER_CAPABILITIES

- Enclosing interface:
    WinNT

      @Structure.FieldOrder(value={"PowerButtonPresent","SleepButtonPresent","LidPresent","SystemS1","SystemS2","SystemS3","SystemS4","SystemS5","HiberFilePresent","FullWake","VideoDimPresent","ApmPresent","UpsPresent","ThermalControl","ProcessorThrottle","ProcessorMinThrottle","ProcessorMaxThrottle","FastSystemS4","Hiberboot","WakeAlarmPresent","AoAc","DiskSpinDown","HiberFileType","AoAcConnectivitySupported","spare3","SystemBatteriesPresent","BatteriesAreShortTerm","BatteryScale","AcOnLineWake","SoftLidWake","RtcWake","MinDeviceWakeState","DefaultLowLatencyWake"})
      public static class WinNT.SYSTEM_POWER_CAPABILITIES
      extends Structure

  Contains information about the power capabilities of the system.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `AcOnLineWake`
    `byte` | `AoAc`
    `byte` | `AoAcConnectivitySupported`
    `byte` | `ApmPresent`
    `byte` | `BatteriesAreShortTerm`
    `WinNT.BATTERY_REPORTING_SCALE[]` | `BatteryScale`
    `int` | `DefaultLowLatencyWake`
    `byte` | `DiskSpinDown`
    `byte` | `FastSystemS4`
    `byte` | `FullWake`
    `byte` | `Hiberboot`
    `byte` | `HiberFilePresent`
    `byte` | `HiberFileType`
    `byte` | `LidPresent`
    `int` | `MinDeviceWakeState`
    `byte` | `PowerButtonPresent`
    `byte` | `ProcessorMaxThrottle`
    `byte` | `ProcessorMinThrottle`
    `byte` | `ProcessorThrottle`
    `int` | `RtcWake`
    `byte` | `SleepButtonPresent`
    `int` | `SoftLidWake`
    `byte[]` | `spare3`
    `byte` | `SystemBatteriesPresent`
    `byte` | `SystemS1`
    `byte` | `SystemS2`
    `byte` | `SystemS3`
    `byte` | `SystemS4`
    `byte` | `SystemS5`
    `byte` | `ThermalControl`
    `byte` | `UpsPresent`
    `byte` | `VideoDimPresent`
    `byte` | `WakeAlarmPresent`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SYSTEM_POWER_CAPABILITIES()`
    `SYSTEM_POWER_CAPABILITIES(Pointer p)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PowerButtonPresent

          public byte PowerButtonPresent

    - #### SleepButtonPresent

          public byte SleepButtonPresent

    - #### LidPresent

          public byte LidPresent

    - #### SystemS1

          public byte SystemS1

    - #### SystemS2

          public byte SystemS2

    - #### SystemS3

          public byte SystemS3

    - #### SystemS4

          public byte SystemS4

    - #### SystemS5

          public byte SystemS5

    - #### HiberFilePresent

          public byte HiberFilePresent

    - #### FullWake

          public byte FullWake

    - #### VideoDimPresent

          public byte VideoDimPresent

    - #### ApmPresent

          public byte ApmPresent

    - #### UpsPresent

          public byte UpsPresent

    - #### ThermalControl

          public byte ThermalControl

    - #### ProcessorThrottle

          public byte ProcessorThrottle

    - #### ProcessorMinThrottle

          public byte ProcessorMinThrottle

    - #### ProcessorMaxThrottle

          public byte ProcessorMaxThrottle

    - #### FastSystemS4

          public byte FastSystemS4

    - #### Hiberboot

          public byte Hiberboot

    - #### WakeAlarmPresent

          public byte WakeAlarmPresent

    - #### AoAc

          public byte AoAc

    - #### DiskSpinDown

          public byte DiskSpinDown

    - #### HiberFileType

          public byte HiberFileType

    - #### AoAcConnectivitySupported

          public byte AoAcConnectivitySupported

    - #### spare3

          public byte[] spare3

    - #### SystemBatteriesPresent

          public byte SystemBatteriesPresent

    - #### BatteriesAreShortTerm

          public byte BatteriesAreShortTerm

    - #### BatteryScale

          public WinNT.BATTERY_REPORTING_SCALE[] BatteryScale

    - #### AcOnLineWake

          public int AcOnLineWake

    - #### SoftLidWake

          public int SoftLidWake

    - #### RtcWake

          public int RtcWake

    - #### MinDeviceWakeState

          public int MinDeviceWakeState

    - #### DefaultLowLatencyWake

          public int DefaultLowLatencyWake

  - ### Constructor Detail

    - #### SYSTEM_POWER_CAPABILITIES

          public SYSTEM_POWER_CAPABILITIES(Pointer p)

    - #### SYSTEM_POWER_CAPABILITIES

          public SYSTEM_POWER_CAPABILITIES()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.